From a5256540ff26db278ad42d2dd44f678677087ac6 Mon Sep 17 00:00:00 2001
From: Alyssa Rosenzweig <alyssa@collabora.com>
Date: Wed, 16 Jun 2021 14:54:46 -0400
Subject: [PATCH] nir/lower_mediump_io: Don't remap base unless needed

Otherwise drivers that don't use 16-bit slots for varyings will get
confused and have their driver_locations scribbled over. This has caused
problems for both Panfrost and Asahi this week. Given the only other
user of the pass for varyings is radeonsi, which needs both together, I
think this is the least controversial fix.

Signed-off-by: Alyssa Rosenzweig <alyssa@collabora.com>
---
 src/compiler/nir/nir_lower_mediump.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/compiler/nir/nir_lower_mediump.c b/src/compiler/nir/nir_lower_mediump.c
index 0cc58c1e755..305d6b65142 100644
--- a/src/compiler/nir/nir_lower_mediump.c
+++ b/src/compiler/nir/nir_lower_mediump.c
@@ -219,8 +219,8 @@ nir_lower_mediump_io(nir_shader *nir, nir_variable_mode modes,
             sem.location = VARYING_SLOT_VAR0_16BIT + index / 2;
             sem.high_16bits = index % 2;
             nir_intrinsic_set_io_semantics(intr, sem);
+            changed = true;
          }
-         changed = true;
       }
    }
 
-- 
2.30.2

